<!doctype html>
<html class="no-js" lang="">
    @@include('./template/_head.html')
    <body>
		@@include('./template/_offcanvas.html')
		
    	<div class="mainContent">
			@@include('./template/_header.html')

            <div class="dtwrap is-clearfix">
                
                <div class="pdcnt_img">
                    
                </div><!--end pdcnt_img -->

                <div class="pdcnt_info">
                    <h2>
                        泡泡先生露肩印花短T恤泡泡先生露肩印花短T恤
                        <span>sdxxx-gel05-cxxxx</span>
                    </h2>
                    <p class="pdcnt_info_price">
                        <span class="pdcnt_info_price-origin">NT 500</span>
                        <span class="pdcnt_info_price-sale">NT 300</span>
                    </p>
                    <div class="pdcnt_info_event">
                        <p>優惠組合：親子系列，任選兩件<span>990</span>元</p>
                    </div>

                    <div class="pdcnt_info_color">
                        <div>
                            <p>Color:<span class="pdcnt_info_color_name">磚紅</span></p>
                        </div>
                        <ul>
                            <li class="active"><a href="#" data-color="01">
                                <img src="images/assets/color1.jpg" alt="">    
                            </a></li>
                            <li><a href="#" data-color="02">
                                <img src="images/assets/color2.jpg" alt="">    
                            </a></li>
                            <li><a href="#" data-color="03">
                                <img src="images/assets/color3.jpg" alt="">    
                            </a></li>
                        </ul>
                    </div>

                    <div class="pdcnt_info_size">
                        <div>
                            <span>尺寸</span>
                            <a href="#sizeguide" class="js-mfp-inline">size guide</a>
                        </div>
                        <div class="selectwrap" data-color="01">
                            <select name="">
                                <option value="1s" data-qty="8">S</option>
                                <option value="1m" data-qty="0">M</option>
                                <option value="1l" data-qty="3">L</option>
                            </select>
                        </div>
                        <div class="selectwrap" data-color="02">
                            <select name="">
                                <option value="2s" data-qty="4">S2</option>
                                <option value="2m" data-qty="9">M2</option>
                                <option value="2l" data-qty="3">L2</option>
                            </select>
                        </div>
                        <div class="selectwrap" data-color="03">
                            <select name="">
                                <option value="3s" data-qty="4">S3</option>
                                <option value="3m" data-qty="9">M3</option>
                                <option value="3l" data-qty="3">L3</option>
                            </select>
                        </div>
                    </div>

                    <div class="pdcnt_info_number">
                        <div>
                            <span>數量</span>
                            <a href="#stockstatus" class="js-mfp-inline">庫存查詢</a>
                        </div>
                        <div class="selectwrap">
                            <select name="">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                            </select>
                        </div>
                    </div>

                    <div class="pdcnt_info_btn">
                        <a href="#" class="btn btn_cart">
                            <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                            加入購物車
                        </a>
                        <a href="#" class="btn btn_pdarrived">
                            <i class="fa fa-bell-o" aria-hidden="true"></i>
                            貨到通知
                        </a>
                        <a href="#" class="btn_second btn_wish">
                            <i class="fa fa-heart-o" aria-hidden="true"></i>
                            加入願望清單
                        </a>
                    </div>

                    <input type="hidden" name="pdcolor">
                    <input type="hidden" name="pdsize">
                    <input type="hidden" name="pdnumber">

                    <div class="fb-share-button" data-href="https://www.urbanoutfitters.com/?ref=logo" data-layout="button" data-size="large" data-mobile-iframe="true"><a class="fb-xfbml-parse-ignore" target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2Fdevelopers.facebook.com%2Fdocs%2Fplugins%2F&amp;src=sdkpreparse">分享</a></div>
                    <div class="line-it-button" data-lang="zh_Hant" data-type="share-c" data-url="http://www.kantech.com.tw/" style="display: none;"></div>
                    <script src="https://d.line-scdn.net/r/web/social-plugin/js/thirdparty/loader.min.js" async="async" defer="defer"></script>
                </div><!-- end pdcnt_info -->

                <div class="pdcnt_gifts is-clearfix">
                    <p class="pdcnt_gifts_title">贈品</p>
                    <ul class="is-clearfix">
                        <li>
                            <img src="http://via.placeholder.com/300x450" alt="泡泡先生露肩印花短T恤">
                            <div>
                                <p>泡泡先生露肩印花短T恤</p>
                                <p>黑色/S</p>
                                <p>1件</p>
                            </div>
                        </li>
                        <li>
                            <img src="http://via.placeholder.com/300x450" alt="泡泡先生露肩印花短T恤">
                            <div>
                                <p>泡泡先生露肩印花短T恤</p>
                                <p>黑色/S</p>
                                <p>1件</p>
                            </div>
                        </li>
                    </ul>
                    <p class="botNotes">以上物件為購買本商品加贈，將與商品一同配送。</p>
                </div><!-- end pdcnt_gifts -->

                <div class="pdcnt_details">
                    <p class="pdcnt_details_title">商品詳細資訊</p>
                    <div class="columns">
                        <div class="column">
                            <a href="#">Details</a>
                            <div class="pdcnt_details_cnt">
                                <p style="font-size: .8em;">親子系列腰鬆緊水洗牛仔低檔褲</p>
                                <p style="font-size: .8em;">稍有彈性的水洗丹寧布料，穿上身活動毫無限制又舒適，五分褲的剪裁搭配寬鬆上衣，打造休閒好比例～</p>
                            </div>
                        </div>
                        <div class="column">
                            <a href="#">Materials</a>
                            <div class="pdcnt_details_cnt">
                                <ul>
                                    <li style="font-size: .8em;">Fabric 30%</li>
                                    <li style="font-size: .8em;">Cotton xxx</li>
                                    <li style="font-size: .8em;">Nylone</li>
                                </ul>
                            </div>
                        </div>
                        <div class="column">
                            <a href="#">Wash</a>
                            <div class="pdcnt_details_cnt">
                                <p style="font-size: .8em;">建議用冷水輕微搓洗即可</p>
                            </div>
                        </div>
                    </div>
                </div><!-- pdcnt_details -->

                <!-- <div class="pdcnt_social has-text-centered">
                    <p>Share</p>
                </div> -->

                <!-- 上稿區  -->
                <div class="pdcnt_useredit">
                    <img src="images/assets/shop.jpg" alt="fake pic" style="width:100%">
                </div>

            </div><!-- end dtwrap -->
                

            <div class="pageCover"></div>
            @@include('./template/_footer.html')
        </div><!-- end mainContent -->

        <div class="mfp-hide popup" id="sizeguide">
            <p class="popup_title">Size Guide</p>
            <table>
                <tr>
                    <th></th>
                    <th>XS</th>
                    <th>S</th>
                    <th>M</th>
                    <th>L</th>
                    <th>XL</th>
                </tr>
                <tr>
                    <td>肩寬</td>
                    <td>30</td>
                    <td>31</td>
                    <td>32</td>
                    <td>33</td>
                    <td>34</td>
                </tr>
                <tr>
                    <td>胸寬</td>
                    <td>30</td>
                    <td>31</td>
                    <td>32</td>
                    <td>33</td>
                    <td>34</td>
                </tr>
                <tr>
                    <td>衣長</td>
                    <td>30</td>
                    <td>31</td>
                    <td>32</td>
                    <td>33</td>
                    <td>34</td>
                </tr>
                <tr>
                    <td>袖長</td>
                    <td>30</td>
                    <td>31</td>
                    <td>32</td>
                    <td>33</td>
                    <td>34</td>
                </tr>
            </table>
            <p class="botNotes">單位：公分</p>
        </div>

        <div class="mfp-hide popup" id="stockstatus">
            <p class="popup_title">庫存狀態</p>
            <table>
                <tr>
                    <th>顏色</th>
                    <th>尺寸</th>
                    <th>庫存狀態</th>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>L</td>
                    <td><span class="stock-ok">現貨供應中</span></td>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>L</td>
                    <td><span class="stock-low">現貨供應中-量少</span></td>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>M</td>
                    <td><span class="stock-zero">已無庫存</span></td>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>L</td>
                    <td><span class="stock-ok">現貨供應中</span></td>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>L</td>
                    <td><span class="stock-low">現貨供應中-量少</span></td>
                </tr>
                <tr>
                    <td>黑色</td>
                    <td>M</td>
                    <td><span class="stock-zero">已無庫存</span></td>
                </tr>
            </table>
        </div>
        <script>
            var imgs = [
                {
                    "color":"01",
                    "img":"images/assets/pdcnt1.jpg",
                    "imgIdx":"1",
                    "size":"small"
                },
                {
                    "color":"01",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"1",
                    "size":"big"
                },
                {
                    "color":"01",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"2",
                    "size":"small"
                },{
                    "color":"01",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"3",
                    "size":"small"
                },
                {
                    "color":"01",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"4",
                    "size":"small"
                },
                {
                    "color":"01",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"5",
                    "size":"small"
                },{
                    "color":"02",
                    "img":"images/assets/pdcnt2.jpg",
                    "imgIdx":"1",
                    "size":"small"
                },{
                    "color":"02",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"2",
                    "size":"small"
                },{
                    "color":"02",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"3",
                    "size":"small"
                },{
                    "color":"02",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"4",
                    "size":"small"
                },{
                    "color":"02",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"5",
                    "size":"small"
                },{
                    "color":"03",
                    "img":"images/assets/pdcnt3.jpg",
                    "imgIdx":"1",
                    "size":"small"
                },{
                    "color":"03",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"2",
                    "size":"small"
                },{
                    "color":"03",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"3",
                    "size":"small"
                },{
                    "color":"03",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"4",
                    "size":"small"
                },{
                    "color":"03",
                    "img":"http://via.placeholder.com/600x750",
                    "imgIdx":"5",
                    "size":"small"
                }
            ];
            var currentColor = '';
        </script>
        <script src="scripts/pdcnt.js"></script>
        <script>
            $(function() {
                
                console.log('test: ' + $('.pdcnt_img_group').length);
                
                var options = {
                    "mainPicWrap": ".pdcnt_img_group",
                    "colorChanger": ".pdcnt_info_color a",
                    "sizeSelector": ".pdcnt_info_size .selectwrap",
                    "numberChanger": ".pdcnt_info_number select",
                    "thumbClass": ".pdcnt_img_group_thumb",
                    "mainSlideClass": ".pdcnt_img_group_main",
                    "initColor": currentColor
                }
                new pdContentUI(options).init();


                $('.column > a').on('click', function(e) {
                    e.preventDefault();
                    $(this).toggleClass('active');
                    $(this).next('.pdcnt_details_cnt').toggleClass('active');
                });

                getCorrectImg(imgs);

                // 判斷圖存在與否
                function getCorrectImg(imgarray) {
        
                    var correctImgs = [];
                    var imgsLength = imgarray.length;
                    var loadIdx = 0;

                    var loadImg = function(imgobj) { 
                        var img = new Image();
                        img.onload = function() {

                            correctImgs.push({"color": imgobj.color, "img": imgobj.img, "size": imgobj.size, "imgidx": imgobj.imgIdx});

                            if (loadIdx === (imgsLength - 1)) {
                                // console.log('stop: ' + correctImgs);
                                rearrangeImgarray(correctImgs);
                                return;
                            }
                            if (loadIdx <= imgsLength) {
                                loadIdx ++;
                                loadImg(imgarray[loadIdx]);    
                            }
                        }
                        img.onerror = function() {
                            if (loadIdx === (imgsLength - 1)) {
                                rearrangeImgarray(correctImgs);
                                return;
                            }
                            if (loadIdx < (imgsLength - 1)) {
                                loadIdx ++;
                                loadImg(imgarray[loadIdx]);    
                            }
                        }
                        
                        
                        img.src = imgobj.img;
                    }

                    loadImg(imgarray[loadIdx]);
                }

                // 重新安排圖片物件格式
                function rearrangeImgarray(imgarray) { 
                    this.newImgarray = {};
                    this.colorArray = [];
                    imgarray.forEach(function(imgobj) {
                        if (colorArray.indexOf(imgobj.color) === -1) {
                            colorArray.push(imgobj.color);
                            // console.log('new color ' + imgobj.color);
                            // console.log('img size ' + imgobj.size);
                            // console.log('img index ' + imgobj.imgidx);
                            newImgarray[imgobj.color] = {};
                            newImgarray[imgobj.color][imgobj.imgidx] = {};
                            newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                        } else { 
                            if (newImgarray[imgobj.color][imgobj.imgidx] === undefined) {
                                console.log('not yet has this img');
                                newImgarray[imgobj.color][imgobj.imgidx] = {};
                                newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                            } else {
                                
                                newImgarray[imgobj.color][imgobj.imgidx][imgobj.size] = imgobj.img;
                                console.log('had this img ' + newImgarray[imgobj.color][imgobj.imgidx][imgobj.size]);
                            }
                                
                        }
                    }); 
                    
                    buildHTML(newImgarray);
                    // console.log('rearrange image array ' + JSON.stringify(newImgarray));
                }

                function buildHTML(imgs) {
        
                    var finalHTML = '';
                    
                    for (var colorkey in imgs) {
                        var imgGroupHTML = '<div class="pdcnt_img_group is-clearfix" data-color="' + colorkey + '">';
                        var mainImgHTML = '<div class="pdcnt_img_group_main">';
                        var thumbImgHTML = '<div class="pdcnt_img_group_thumb">';

                        for (colorimg in imgs[colorkey]) {
                            // console.log('000 ' + imgs[colorkey][colorimg]);
                            // console.log('001 ' + imgs[colorkey][colorimg]["small"]);
                            // console.log('002 ' + imgs[colorkey][colorimg]["big"]);

                            mainImgHTML = mainImgHTML + '<img src="' + imgs[colorkey][colorimg].small + '" alt="">';
                            thumbImgHTML = thumbImgHTML + '<img src="' + imgs[colorkey][colorimg].small + '" alt="">';
                                
                        };

                        mainImgHTML = mainImgHTML + '</div>';
                        thumbImgHTML = thumbImgHTML + '</div>';
                        imgGroupHTML = imgGroupHTML + mainImgHTML + thumbImgHTML + '</div>';
                        
                        finalHTML = finalHTML + imgGroupHTML;
                        // console.log('final html: ' + finalHTML);
                    }

                    $('.pdcnt_img').append(finalHTML);
                    
                    try {
                        $('.pdcnt_info_color a').each(function() {
                            if (($(this).data('color')).toString() === colorCode) {
                                $(this).click();
                            }
                        });
                    } catch(e) { //colorCode not defined
                        $('.pdcnt_info_color li').eq(0).find('a').click();
                    }

                }

                
            })
        </script>
    </body>
</html>